Package org.apache.lucene.codecs

## Class PointsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PointsFormat

- Direct Known Subclasses:
    `Lucene90PointsFormat`

      public abstract class PointsFormat
      extends Object

  Encodes/decodes indexed points.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PointsFormat` | `EMPTY` | A `PointsFormat` that has nothing indexed

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PointsFormat()` | Creates a new point format.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract PointsReader` | `fieldsReader​(SegmentReadState state)` | Reads a segment.
    `abstract PointsWriter` | `fieldsWriter​(SegmentWriteState state)` | Writes a new segment

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final PointsFormat EMPTY

      A `PointsFormat` that has nothing indexed

  - ### Constructor Detail

    - #### PointsFormat

          protected PointsFormat()

      Creates a new point format.

  - ### Method Detail

    - #### fieldsWriter

          public abstract PointsWriter fieldsWriter​(SegmentWriteState state)
                                             throws IOException

      Writes a new segment
      Throws:
        `IOException`

    - #### fieldsReader

          public abstract PointsReader fieldsReader​(SegmentReadState state)
                                             throws IOException

      Reads a segment. NOTE: by the time this call returns, it must hold open any files it will need to use; else, those files may be deleted. Additionally, required files may be deleted during the execution of this call before there is a chance to open them. Under these circumstances an IOException should be thrown by the implementation. IOExceptions are expected and will automatically cause a retry of the segment opening logic with the newly revised segments.
      Throws:
        `IOException`